<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="HTDiversityQuestion"    package="performa.orm">
        
        <TABLE  name="tl_ht_diversity_question" tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="QuestionText" type="String"   dbcol="question_text"   mandatory="true"/>
            <ATTRIB name="IsApplicable" type="Boolean"  dbcol="is_applicable"   defaultValue="Boolean.TRUE" />

            <SINGLEREFERENCE    name="Question"     type="DiversityQuestion"    dbcol="question_id"     mandatory="true"/>
            <SINGLEREFERENCE    name="HiringTeam"   type="HiringTeam"           dbcol="hiring_team_id"  backreferenceName="DiversityQuestions"  mandatory="true"/>

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_ht_diversity_question.object_id is not null"   orderBy="tl_ht_diversity_question.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>